none
.NET Framework Install /Reinstall Problem RRS feed

  • Question

  • Originally I had .NET Framework versions 1 thru 2.0 including all Service Packs and Security Updates installed on this computer running XP Home 32 bit. The Automatic Windows Installer has been trying to update .Net Framework  for weeks now, unsuccessfully. It is however trying to install .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update for .NET versions 2.0 through 3.5 (KB951847)x86
    I was under the impression that everything had to be installed in proper sequence? There is no attempt by the Updater to install any components of the 3.0 version of .NET Framework. I then used the .NET Framework Cleanup Tool and removed all Framework installations. I then reinstalled all Framework applications in proper sequence beginning with .NET Framework 1. Everything installed properly up to .NET Framework 2.0 Service Pack 2 Security Update for Windows Server 2003, Windows XP (KB974417). When trying to install.NET Framework Version 3.0 Redistributable Package (x86) the Installer displayed that it encountered a problem and was unable to install. I then contacted Microsoft Support who finally got back to me a week later. I informed the technician of all the versions of .NET Framework that were originally installed on the machine and what the problem was. He contacted me this morning with the following proceedure to try. He told me to use the Cleanup Tool again, which I did. He then only wanted me to install all applications that pertained to .NET Framework 2.0. Three in total including the 2.0 Redistributable Package (x86), 2.0 Service Pack 2 and the Security Update 2003, Windows XP (KB974417). He made no mention of reinstalling anything pertaining to Framework 1. Again, everything installed properly up to Service Pack 2 Security Update. When trying to again install the 3.0 Redistributable Package (x86), I received the same encountered a problem error message. Thinking that maybe the Framework 3.0 version and its components might not be required to install the 3.5 version I had the Updater rescan the computer for updates and it again promted me to install the same two Framework 3.5 updates I mentioned at the beginning of this post. I clicked the install button and again it told me that it was unable to install the updates. I am running XP with Windows Service Pack 3 installed. To my best kowledge, all Windows Security Updates are current as well. Any help regarding this matter would be greatly appreciated.
    Monday, November 16, 2009 10:28 PM

Answers

  • Hi Jurgie,

    Thank you for your post.

    Could you please help me to try the following steps to start from scratch for further troubleshooting?
    1. Download .NET Framework 3.5 Service Pack 1 (Full Package) which will install .NET 2.0 and 3.0 as prerequisite
    2. Use Cleanup tool to remove .NET Framework 3.5 >> 3.0 >> 2.0 in order
    3. Run the installer to install .NET 3.5
    4. If any problem occurs during the installation, use Collect tool to collect the log files for further troubleshooting.
        - Try to clean your "%temp%" folder (Start Menu >> Run >> Type "%temp%")
        - Install .NET Framework 3.5 full package
        - Collect the logs from "%temp%" folder
          Collect tool: http://blogs.msdn.com/heaths/archive/2008/05/09/visual-studio-and-net-log-collection-utility.aspx
        - Upload vslogs.cab file to SkyDrive and post the link back here
    5. After .NET Framework 3.5 SP1 has been installed, please run Windows Update to install this update.

    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Tuesday, November 24, 2009 3:52 AM
    Wednesday, November 18, 2009 6:33 AM

All replies

  • You are not alone with the problem.  I'm not even aware that I need Framework for any of my applications, but Version 1 did not install correctly, and that blocks the installation of all the subsequent Framework updates  which intern seem to block all other updates /
    Monday, November 16, 2009 11:03 PM
  • You are not alone with the problem.  I'm not even aware that I need Framework for any of my applications, but Version 1 did not install correctly, and that blocks the installation of all the subsequent Framework updates  which intern seem to block all other updates /

    I really only needed for nHancer, an Nvidia graphic card enhancing application. Will not install the newest updates if .NET Framework 3.5 is not installed. Thanks for your coment.
    Tuesday, November 17, 2009 12:54 AM
  • Hi Jurgie,

    Thank you for your post.

    Could you please help me to try the following steps to start from scratch for further troubleshooting?
    1. Download .NET Framework 3.5 Service Pack 1 (Full Package) which will install .NET 2.0 and 3.0 as prerequisite
    2. Use Cleanup tool to remove .NET Framework 3.5 >> 3.0 >> 2.0 in order
    3. Run the installer to install .NET 3.5
    4. If any problem occurs during the installation, use Collect tool to collect the log files for further troubleshooting.
        - Try to clean your "%temp%" folder (Start Menu >> Run >> Type "%temp%")
        - Install .NET Framework 3.5 full package
        - Collect the logs from "%temp%" folder
          Collect tool: http://blogs.msdn.com/heaths/archive/2008/05/09/visual-studio-and-net-log-collection-utility.aspx
        - Upload vslogs.cab file to SkyDrive and post the link back here
    5. After .NET Framework 3.5 SP1 has been installed, please run Windows Update to install this update.

    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Tuesday, November 24, 2009 3:52 AM
    Wednesday, November 18, 2009 6:33 AM
  • hi, i got error on .net framework 2.0 when i try to reinstall vs 2005, during the third stage of maintenance mode it went error and most probably the source of problem of my broken vs 2005, all template on business intelligence projects is missing and disable, i cannot make a intergration service projects template because it's not there anymore so please help me here the upload link http://cid-ba428bc06e06e994.skydrive.live.com/browse.aspx/.Public?uc=1
    Tuesday, March 30, 2010 11:33 PM
  • Thank you.  Have installed 3.5 sp1 and net 2 sp2 updates.
    Monday, June 7, 2010 9:12 PM